var app = getApp();
const util = require('../../utils/utils.js')
Page({
  data: {
    code: '',
    arr: [],
    inputLen: 11,
    isFocus: false,
    img:app.globalData.imgUrl
  },
  onLoad: function(options) {
    wx.setNavigationBarTitle({
      title: app.globalData.title 
    })
  },
  onFocus: function(e) {
    var that = this;
    that.setData({
      isFocus: true
    });
  },
  setValue: function(e) {
    var that = this;
    that.setData({
      code: e.detail.value
    });
  },
  start: util.throttle(function () {
    var that = this;
    if (that.data.code != '') {
      wx.navigateTo({
        url: '../sweep_code/sweep_code?code=' + that.data.code,
      })
    } else {
      wx.showToast({
        title: '请输入车牌号',
        icon: 'none',
        duration: 2000
      })
    }
  }, 1500),
  onReady: function() {

  },
  onShow: function() {

  },
  onHide: function() {

  },
  onUnload: function() {

  },
  onPullDownRefresh: function() {

  },
  onReachBottom: function() {

  },
  onShareAppMessage: function() {
    
  }
})